Subject: RE: Post-SRV Request-URI (was - [[SIP] A question about Request-U RI:])

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 25 Sep 2000 10:46:28 -0400

I concur with Jo here.

The SRV processing is post URI construction. The existence of intermediate
host names is an artifact of the SRV procedure. Future lookup procedures,
based on enum, for example, might involve multiple intermediate steps, but I
would not propose that you set the request URI based on them.

-Jonathan R.

> -----Original Message-----
> From: Shail Bhatnagar [mailto:[email-masked]]
> Sent: Thursday, September 21, 2000 11:17 AM
> To: [email-masked]
> Subject: Post-SRV Request-URI (was - [[SIP] A question about
> Request-URI:])
> 
> 
> Forwarding the email using different subject, since this was an
> old thread.
>> -----Original Message-----
> From: Jo Hornsby [mailto:[email-masked]]
> Sent: Thursday, September 21, 2000 4:25 AM
> To: Shail Bhatnagar; Henning Schulzrinne
> Cc: [email-masked]
> Subject: RE: [SIP] A question about Request-URI:
> 
> 
> > On a related note, when a proxy does a successful SRV lookup for
> > domain.com and gets bigmachine.domain.com,5055 and 
> > bigm2.domain.com,6000 and it selects bigmachine.domain.com,5055.
> > Should it change the incoming 
> > sip:[email-masked] 
> > to 
> > sip:[email-masked]:5055 ??
> > 
> > I believe, it should.
> 
> Interesting.  I believe it should not. &:)
> 
> If you look at the rules of Section 1.4.2, all the magic done
> is _based on the Request-URI_; suggesting that the Request-URI
> is already well-defined at that point.
> 
> Imagine a case where you have a Large Corporation, the ubiquitous
> example.com.  Now example.com has two divisions: division1 and
> division2.  If there were two distinct Smith's working for
> example.com, one in division1 and one in division2, then they
> might have the SIP URLs
> sip:[email-masked],
> sip:[email-masked],
> respectively.  Now if there's a large SIP proxy sitting "at the
> edge" of example.com, sip.example.com, and this proxy can be
> found via SRV, then changing the Request-URI could potentially
> result in a fatal loss of information.  Not good.
> 
> Of course, as always, proxies are free to do what they want --
> it's their birthright; thus there may well be situations where
> this is exactly what you want.  In general, however, I would
> argue that it is not what you want.
> 
> > Also, when forwarding a request using the Route header, should 
> > the outgoing Request-URI always be the addr-spec portion of 
> the Route
> > header or it can be different due to SRV lookup on the maddr ??
> 
> The whole Request-URI in the Route is copied into the Request-URI
> proper; maddr, transport (although this should never appear in
> a Record-Route/Route), etc., parameters are no-longer illegal here.
> 
> HTH,
> 
> 
>  - Jo.
> 
> 
> 

---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip